<?php
include '../../INCLUDE/MySQL_include_param_dbb.php';
setlocale (LC_ALL, 'fr_FR.UTF-8');
try {
 // --- connexion de la base de données ---
 $bdd = new PDO($TYPE_DBB.":host=".$SERVEUR.";dbname=".$BASEDD,$LOGIN_ADM,$MDP_ADM,
        array(PDO::ATTR_PERSISTENT => true));
 // --- définition du codage en UTF8 ---
 $bdd->exec("SET CHARACTER SET utf8");     
 // --- préparation de la requête ---
 $requete_sql = 'SELECT ID,Nom,Prenom,Age FROM personnes';
 $RequetePreparee = $bdd->prepare($requete_sql);
 // --- exécution de la requête préparée ---
 $RequetePreparee->execute();
 // --- Lie par les numéros de colonnes ---
 $RequetePreparee->bindColumn(1, $ID, PDO::PARAM_INT);
 $RequetePreparee->bindColumn(2, $Nom,PDO::PARAM_STR);
 // --- Lie par les noms de colonnes ---
 $RequetePreparee->bindColumn('Prenom', $Prenom,PDO::PARAM_STR);
 $RequetePreparee->bindColumn('Age', $Age,PDO::PARAM_INT);
 // --- Affichage du résultat de la requête ---
 while ($ligne = $RequetePreparee->fetch(PDO::FETCH_BOUND))
 {
	    echo $ID."\t"    ;
	    echo $Nom."\t"   ;
	    echo $Prenom."\t";
	    echo $Age.PHP_EOL;
 }
 $RequetePreparee->closeCursor();
}
catch(Exception $e) {
 echo 'Erreur : '.$e->getMessage();
}
?>
